#!/usr/bin/env ruby

# This is just my piece of source for testing.

require 'RuDL'

include RuDL
include Constant

display=DisplaySurface.new([640, 480]).clip=([30,30,500,400])

testImage=Surface.load_new('schoenie.jpg').convert.colorkey=([255, 255, 255])

begin
	cd=CDROM.new(0).play(0)
rescue
	puts('No CD in drive: playing module instead')
end

begin

	analog=Sound.new('analog.wav')
	carib=Music.new('caribean.mod').play if !cd

	done=false

	while(!done)do

		display.fill([0, 0, 0])

		event=EventQueue.poll
		case event
			when QuitEvent then done=true
			when MouseMotionEvent
				if(event.button[0])then
					display.blit(testImage, event.pos)
				end
			when KeyDownEvent
				case event.key
					when K_ESCAPE
						done=true
					when K_SPACE
						testImage.alpha=128
					when K_s
						analog.play(0)
				end
				p(Key.pressed?)
				p(Key.pressed?[K_a])
		end
		#p(event) if event
		display.fill([0, 128, 255], [5, 5, 100, 100])
		display.flip
	end

ensure
	cd.stop if cd
end